# module Tk::Tile::TileWidget

### Public Instance Methods

identify(x, y)
Alias for: ttk_identify
instate(state, script=nil, &b)
Alias for: ttk_instate
state(state=nil)
Alias for: ttk_state
tile_identify(x, y)
Alias for: ttk_identify
tile_instate(state, script=nil, &b)
Alias for: ttk_instate
tile_state(state=nil)
Alias for: ttk_state
ttk_identify(x, y) click to toggle source

    # File lib/tkextlib/tile.rb, line 357
    def ttk_identify(x, y)
      ret = tk_send_without_enc('identify', x, y)
      (ret.empty?)? nil: ret
    end

Also aliased as: tile_identify, identify
ttk_instate(state, script=nil, &b) click to toggle source

    # File lib/tkextlib/tile.rb, line 337
    def ttk_instate(state, script=nil, &b)
      if script
        tk_send('instate', state, script)
      elsif b
        tk_send('instate', state, Proc.new(&b))
      else
        bool(tk_send('instate', state))
      end
    end

Also aliased as: tile_instate, instate
ttk_state(state=nil) click to toggle source

    # File lib/tkextlib/tile.rb, line 348
    def ttk_state(state=nil)
      if state
        tk_send('state', state)
      else
        list(tk_send('state'))
      end
    end

Also aliased as: tile_state, state

### Private Instance Methods

__val2ruby_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/tile.rb, line 330
    def __val2ruby_optkeys  # { key=>proc, ... }
      # The method is used to convert a opt-value to a ruby's object.
      # When get the value of the option "key", "proc.call(value)" is called.
      super().update('style'=>proc{|v| _style_layout(list(v))})
    end